import QtQuick 2.5

Column {
    property string title
    property string description
	property string fontFamily

    spacing: 7

    Text {
        width: 160
        font {
            family: fontFamily
            pixelSize: 14
            weight: Font.Bold
        }        
        color: "#ffffff"
        text: title
    }

    Text {
        width: 180
        font {
            family: fontFamily
            pixelSize: 14
        }
        lineHeight: 1.3
        color: "#b4bad0"
        wrapMode: Text.WordWrap
        text: description
    }
}
