function stateIconPath(control, nameTemplate) {
    function fixState(state, control) {
        return control.checked ? "checked_" + state : state
    }
    if(control.pressed)   return nameTemplate.arg(fixState("pressed",  control))
    if(control.hovered)   return nameTemplate.arg(fixState("hover",    control))
    if(!control.enabled)  return nameTemplate.arg(fixState("disabled", control))
    return nameTemplate.arg(fixState("normal", control))
}

//порядок цветов: normal, hover, pressed, disabled, checked_normal, checked_hover, checked_pressed, checked_disabled
function stateColor(control, stateColors) {
    function fixIndex(index, control) {
        return control.checked ? index + 4 : index
    }
    if(control.pressed)    return stateColors[fixIndex(2, control)]
    if(control.hovered)    return stateColors[fixIndex(1, control)]
    if(!control.enabled)   return stateColors[fixIndex(3, control)]
    return stateColors[fixIndex(0, control)]
}

function filename(path) {
    var separator = (Qt.platform.os === "windows") ? "\\" : "/"
    return path.substr(path.lastIndexOf(separator) + 1)
}