import QtQuick 2.6

Item {
	property string qrcPath: "."
	readonly property string extension: ".png"

	function iconPath(name) {
		return qrcPath + '/' + name + extension
	}

	function stateIconPath(control, baseName) {
		function completeIconPath(nameTemplate) {
			if (control.pressed)  return nameTemplate.arg("pressed")
			if (control.hovered)  return nameTemplate.arg("hover")
			if (!control.enabled) return nameTemplate.arg("disabled")
			return nameTemplate.arg("normal")
		}

		return completeIconPath(qrcPath + '/' + baseName + "_%1" + extension)
	}
}
