import QtQuick 2.6
import QtQuick.Controls 1.5
import QtQuick.Controls.Styles 1.0

import "../Util.js" as Util

Button {
	property alias iconButton: icon.source

	style: ButtonStyle {
		background: Rectangle {
			radius: 10
			color: Util.stateColor(control, ["#222532", "#3a4054", "#454c64", "#222532"])
			border { width: 0; color: "transparent" }
		}
	}

	Image {
		id: icon
		height: 46
		width: 121
		anchors.centerIn: parent
	}
}
