var translationMap = {
	"A multifunctional video editing bundle":
	{
		"de_DE": "Ein multifunktionales Videobearbeitungspaket",
		"en_US": "A multifunctional video editing bundle",
		"es_ES": "Un paquete de edición de vídeo multifuncional",
		"fr_FR": "Un ensemble d’outils de montage vidéo",
		"it_IT": "Pacchetto di elaborazione video multifunzionale",
		"ja_JP": "多機能の動画編集バンドル",
		"nl_NL": "Een multifunctionele videobewerkingsbundel",
		"pl_PL": "Pakiet narzędzi do wszechstronnej edycji wideo",
		"pt_BR": "Um pacote de edição de vídeo multifuncional",
		"ru_RU": "Многофункциональный пакет программ для работы с видео",
		"tr_TR": "Çok işlevli video düzenleme paketi",
		"zh_CN": "多功能视频编辑软件包",
		"zh_TW": "多功能的影片編輯套件組合",
		"ko_KR": "다기능 비디오 편집 번들",
	},
	"Video Suite includes Video Converter Premium and more:":
	{
		"de_DE": "Video Suite enthält Video Converter Premium und mehr:",
		"en_US": "Video Suite includes Video Converter Premium and more:",
		"es_ES": "Video Suite incluye Video Converter Premium y más:",
		"fr_FR": "Video Suite inclut Video Converter Premium et plus :",
		"it_IT": "Video Suite include Video Converter Premium e altro ancora:",
		"ja_JP": "Video Suite には Video Converter Premium などが含まれています:",
		"nl_NL": "Video Suite bevat Video Converter Premium en meer:",
		"pl_PL": "Video Suite zawiera Video Converter Premium oraz więcej:",
		"pt_BR": "Video Suite inclui Video Converter Premium e mais:",
		"ru_RU": "В пакет Video Suite входит Конвертер Видео Премиум, а также:",
		"tr_TR": "Video Suite, Video Converter Premium ve daha fazlasını içerir:",
		"zh_CN": "Video Suite 包括 Video Converter Premium 等:",
		"zh_TW": "Video Suite 套件包括 Video Converter Premium 等：",
		"ko_KR": "Video Suite에는 Video Converter Premium 등이 포함되어 있습니다:",
	},
	"Screen recorder":
	{
		"de_DE": "Bildschirmaufnahme",
		"en_US": "Screen Recorder",
		"es_ES": "Grabador de pantalla",
		"fr_FR": "Vidéo d’écrans",
		"it_IT": "Registrazione schermo",
		"ja_JP": "画面の録画",
		"nl_NL": "Schermrecorder",
		"pl_PL": "Nagrywanie ekranu",
		"pt_BR": "Gravador de tela",
		"ru_RU": "Захват экрана",
		"tr_TR": "Ekran kaydı",
		"zh_CN": "屏幕录制",
		"zh_TW": "螢幕錄製",
		"ko_KR": "화면 녹화",
	},
	"Capture Skype calls, applications, webinars, and screencasts.":
	{
		"de_DE": "Skype-Anrufe, Anwendungen, Webinare, Screencasts aufnehmen.",
		"en_US": "Capture Skype calls, applications, webinars, and screencasts.",
		"es_ES": "Capture llamadas de Skype, aplicaciones, webinars, screencasts.",
		"fr_FR": "Capturez des appels Skype et des vidéos d’écran.",
		"it_IT": "Acquisite chiamate Skype, applicazioni, webinar e screencast.",
		"ja_JP": "Skype 通話、アプリ、ウェビナー、スクリーンキャストをキャプチャ。",
		"nl_NL": "Leg Skype-oproepen, toepassingen, webinars en screencasts vast.",
		"pl_PL": "Nagrywaj rozmowy na Skype, aplikacje, webinary i screencasty.",
		"pt_BR": "Capture chamadas do Skype, aplicativos, webinars e screencasts.",
		"ru_RU": "Захват звонков в Skype, программ, вебинаров и скринкастов.",
		"tr_TR": "Skype görüşmesi, uygulama, web yayını ve ekran kaydı yakalayın.",
		"zh_CN": "捕获 Skype 通话、应用程序、网络研讨会和截屏视频。",
		"zh_TW": "擷取 Skype 通話、應用程式、網路研討會和螢幕錄影。",
		"ko_KR": "Skype 통화, 애플리케이션, 웨비나, 스크린캐스트를 캡처할 수 있습니다.",
	},
	"Video Editor Plus":
	{
		"de_DE": "Videobearbeitung",
		"en_US": "Video Editor",
		"es_ES": "Edición de vídeo",
		"fr_FR": "Montage vidéo",
		"it_IT": "Elaborazione video",
		"ja_JP": "ビデオの編集",
		"nl_NL": "Videobewerking",
		"pl_PL": "Edycja wideo",
		"pt_BR": "Edição de vídeo",
		"ru_RU": "Редактирование видео",
		"tr_TR": "Video düzenleme",
		"zh_CN": "视频编辑",
		"zh_TW": "影片編輯",
		"ko_KR": "비디오 편집",
	},
	"Edit videos, add titles, transitions, and effects.":
	{
		"de_DE": "Bearbeiten Sie Videos, fügen Sie Titel, Übergänge und Effekte hinzu.",
		"en_US": "Edit videos, add titles, transitions, and effects.",
		"es_ES": "Edite vídeos, añada títulos, transiciones y efectos.",
		"fr_FR": "Éditez des vidéos, ajoutez des titres, des transitions et des effets.",
		"it_IT": "Modifica video, aggiungi titoli, transizioni ed effetti.",
		"ja_JP": "ビデオの編集、タイトル、トランジション、効果の追加。",
		"nl_NL": "Bewerk video's en voeg titels, overgangen en effecten toe.",
		"pl_PL": "Edytuj wideo, dodawaj napisy, przejścia i pozostałe efekty.",
		"pt_BR": "Edite vídeos, adicione títulos, transições e efeitos.",
		"ru_RU": "Обработка видео, добавление титров, переходов и эффектов.",
		"tr_TR": "Videoları düzenleyin, başlıklar, geçişler ve efektler ekleyin.",
		"zh_CN": "编辑视频，添加标题、过渡和效果。",
		"zh_TW": "編輯影片，新增標題、轉場和特效。",
		"ko_KR": "비디오 편집, 타이틀, 장면 전환, 효과 추가.",
	},
	"DVD/Blu-ray burner":
	{
		"de_DE": "DVD/Blu-ray-Brenner",
		"en_US": "DVD/Blu-ray burner",
		"es_ES": "Grabador DVD/Blu-ray",
		"fr_FR": "Graveur DVD/Blu-ray",
		"it_IT": "Scrittura DVD/Blu-ray",
		"ja_JP": "DVD/Blu-rayバーナー",
		"nl_NL": "DVD/Blu-ray brander",
		"pl_PL": "Nagrywarkę DVD/Blu-ray",
		"pt_BR": "Gravador DVD/Blu-ray",
		"ru_RU": "Запись DVD/Blu-ray",
		"tr_TR": "DVD/Blu-ray yazıcı",
		"zh_CN": "DVD/蓝光刻录功能",
		"zh_TW": "DVD/Blu-ray 燒錄程式",
		"ko_KR": "DVD/블루레이 버너",
	},
	"Burn DVD and Blu-ray discs with video, music, and other files.":
	{
		"de_DE": "Video, Musik, andere Dateien auf DVD und Blu-ray Disc brennen.",
		"en_US": "Burn DVD and Blu-ray discs with video, music, and other files.",
		"es_ES": "Grabe discos Blu-ray y DVD con vídeo, música y otros archivos.",
		"fr_FR": "Gravez des DVD et des Blu-ray avec des fichiers multimédias.",
		"it_IT": "Scrivete DVD e dischi Blu-ray con video musica e altri file.",
		"ja_JP": "DVD や Blu-ray ディスクへ動画、音楽などのファイルを書き込む。",
		"nl_NL": "Brand video’s, muziek en andere bestanden op DVD en Blu-ray.",
		"pl_PL": "Wypalaj płyty DVD i Blu-ray ze wideo, muzyką i innymi plikami.",
		"pt_BR": "Grave discos DVD e Blu-ray com vídeo, música e outros arquivos.",
		"ru_RU": "Запись DVD и Blu-ray дисков с видео, музыкой и другими файлами.",
		"tr_TR": "DVD ve Blu-ray disklere video, müzik ve diğer dosyaları yazın.",
		"zh_CN": "烧制视频、音乐和其他文件的 DVD 和蓝光光盘。",
		"zh_TW": "將影片、音樂和其他檔案燒錄成 DVD 和 Blu-ray 光碟。",
		"ko_KR": "비디오, 음악 등의 기타 파일로 DVD 및 블루레이 디스크를 구울 수 있습니다.",
	},
	"Split Movie":
	{
		"de_DE": "Video aufteilen",
		"en_US": "Video Splitter",
		"es_ES": "Dividir vídeo",
		"fr_FR": "Coupez des vidéos",
		"it_IT": "Divisione video",
		"ja_JP": "ビデオの分割",
		"nl_NL": "Video splitsen",
		"pl_PL": "Dziel pliki wideo",
		"pt_BR": "Divida vídeos",
		"ru_RU": "Нарезка видео",
		"tr_TR": "Video böl",
		"zh_CN": "拆分视频",
		"zh_TW": "分割影片",
		"ko_KR": "비디오 분할",
	},
	"Cut videos quickly without re-encoding.":
	{
		"de_DE": "Videos schnell ohne Neucodierung schneiden.",
		"en_US": "Cut videos quickly without re-encoding.",
		"es_ES": "Corte vídeos rápidamente sin recodificar.",
		"fr_FR": "Coupez rapidement des vidéos sans les réencoder.",
		"it_IT": "Tagliate i video con rapidità senza ricodifica.",
		"ja_JP": "再エンコードなしに動画を素早く切り取る。",
		"nl_NL": "Knip video’s snel bij zonder opnieuw te coderen.",
		"pl_PL": "Sprawnie dziel wideo bez ponownego kodowania.",
		"pt_BR": "Corte vídeos rapidamente sem recodificar.",
		"ru_RU": "Быстрая нарезка видео без перекодирования.",
		"tr_TR": "Videoları yeniden kodlama yapmadan hızlı bir şekilde kesin.",
		"zh_CN": "快速剪切视频，无需重新编码。",
		"zh_TW": "不需要重新編碼即可迅速裁剪影片。",
		"ko_KR": "다시 인코딩하지 않고 빠르게 비디오를 자를 수 있습니다.",
	},
	"Don't show this again":
	{
		"de_DE": "Dies nicht mehr anzeigen",
		"en_US": "Don't show this again",
		"es_ES": "No mostrar más",
		"fr_FR": "Ne plus afficher ce message",
		"it_IT": "Non mostrare più",
		"ja_JP": "今後表示しない",
		"nl_NL": "Niet opnieuw weergeven",
		"pl_PL": "Nie pokazuj ponownie",
		"pt_BR": "Não exibir isto novamente",
		"ru_RU": "Больше не показывать",
		"tr_TR": "Bunu tekrar gösterme",
		"zh_CN": "不再显示",
		"zh_TW": "不再顯示",
		"ko_KR": "다시 표시 안 함",
	},
	"Download trial version":
	{
		"de_DE": "Testversion herunterladen",
		"en_US": "Download trial version",
		"es_ES": "Descargar versión de prueba",
		"fr_FR": "La version d’évaluation",
		"it_IT": "Scarica la versione di prova",
		"ja_JP": "体験版をダウンロード",
		"nl_NL": "Proefversie downloaden",
		"pl_PL": "Pobierz wersję testową",
		"pt_BR": "Baixar a versão de avaliação",
		"ru_RU": "Скачать пробную версию",
		"tr_TR": "Deneme sürümünü indirin",
		"zh_CN": "下载试用版",
		"zh_TW": "下載試用版",
		"ko_KR": "체험판 버전 다운로드",
	},
	"Buy at 30% off":
	{
		"de_DE": "Mit 30% Rabatt kaufen",
		"en_US": "Buy at 30% off",
		"es_ES": "Comprar con 30% de descuento",
		"fr_FR": "30 % de réduction à l’achat",
		"it_IT": "Compra col 30% di sconto",
		"ja_JP": "30% オフで購入",
		"nl_NL": "Koop nu met 30% korting",
		"pl_PL": "Kup z 30% rabatem",
		"pt_BR": "30% de desconto",
		"ru_RU": "Купить со скидкой 30%",
		"tr_TR": "%30 indirimli satın al",
		"zh_CN": "优惠 30% 购买",
		"zh_TW": "購買享有 30% 優惠",
		"ko_KR": "30% 할인가로 구매",
	},
}

function localizedText(tag, currentLocale) {
	return translationMap[tag][currentLocale];
}
