import QtQuick 2.6
import QtQuick.Controls 1.5
import QtQuick.Controls.Styles 1.0

Button {
	width: 10
	height: 10
	anchors { top: parent.top; topMargin: 16; rightMargin: 16 ; leftMargin: 16 }

	style: ButtonStyle {
		background: Image {
			source: qrc.stateIconPath(control, "close")
		}
	}

	onClicked: closeRequested()

	Component.onCompleted: {
		if (Qt.platform.os == "osx")
			anchors.left = parent.left
		else
			anchors.right = parent.right
	}
}
