let stringList = {
	"en_US": {
		"RATE_TITLE"          : "How do you like our program?<br>Rate you experience:",
		"WORST_FEEDBACK"      : "Awful",
		"BEST_FEEDBACK"       : "Excellent",
		"SUBMIT_TEXT"         : "Send",
		"MESSAGE_SENT"        : "The rating has been sent",
		"FB_REQUEST"          : "Tell us, what difficulties have you had?",
		"CONTACT_SUPPORT"     : "If those were errors, contact our <a href='https://www.movavi.com/support'>support team</a>.",
		"MESSAGE_PLACEHOLDER" : "I want to say that…",
		"EMAIL_PLACEHOLDER"   : "JohnSnow@gmail.com",
		"PRIVACY_POLICY"      : "By providing an email, you consent to receive our marketing emails and agree to Movavi using your personal data in accordance with our <a href='https://www.movavi.com/privacy.html'>Privacy Policy</a>.",
		"LATER_TEXT"          : "Later",
		"FINAL_TEXT"          : "We've got your feedback.<br>Thanks for sharing!",
		"CLOSE_TEXT"          : "Close",
		"FB_SITE_REQUEST"     : "We're happy you like it here. Tell the world about us!",
		"SEND_US_FB"          : "I want to reach the dev team",
		"FB_REQUEST_GOOD"     : "Share your experience of working in the program!",
		"WRONG_EMAIL"         : "Make sure the email format is JohnSnow@gmail.com.",
		"MESSAGE_TITLE"       : "Message:",
		"EMAIL_TITLE"         : "Email:"
	},
	"de_DE": {
		"RATE_TITLE"          : "Wie gefällt Ihnen unser Programm?<br>Bewerten Sie Ihre Erfahrung:",
		"WORST_FEEDBACK"      : "Furchtbar",
		"BEST_FEEDBACK"       : "Ausgezeichnet",
		"SUBMIT_TEXT"         : "Senden",
		"MESSAGE_SENT"        : "Die Bewertung wurde gesendet",
		"FB_REQUEST"          : "Möchten Sie uns mitteilen,<br>welche Schwierigkeiten Sie hatten?",
		"CONTACT_SUPPORT"     : "Wenn es sich dabei um Fehler handelte,<br>kontaktieren Sie unseren <a href='https://www.movavi.de/support/'>Kundendienst</a>.",
		"MESSAGE_PLACEHOLDER" : "Ich möchte sagen, dass…",
		"EMAIL_PLACEHOLDER"   : "JohnSnow@gmail.com",
		"PRIVACY_POLICY"      : "Durch die Bereitstellung einer E-Mail-Adresse stimmen Sie dem Empfang unserer Marketing-E-Mails zu und erteilen darüber hinaus Ihre Einwilligung, dass Movavi Ihre persönlichen Daten gemäß unserer <a href='https://www.movavi.de/privacy.html'>Datenschutzrichtlinie</a> verwenden darf.",
		"LATER_TEXT"          : "Später",
		"FINAL_TEXT"          : "Wir haben Ihr Feedback erhalten.<br>Vielen Dank für Ihren Beitrag!",
		"CLOSE_TEXT"          : "Schließen",
		"FB_SITE_REQUEST"     : "Wir freuen uns, dass es Ihnen hier gefällt.<br>Erzählen Sie der Welt von uns!",
		"SEND_US_FB"          : "Wenden Sie sich an das Entwicklerteam",
		"FB_REQUEST_GOOD"     : "Teilen Sie Ihre Erfahrung bei der Arbeit mit dem Programm!",
		"WRONG_EMAIL"         : "Stellen Sie sicher, dass das E-Mail-Format JohnSnow@gmail.com ist.",
		"MESSAGE_TITLE"       : "Nachricht:",
		"EMAIL_TITLE"         : "E-Mail:"
	},
	"es_ES": {
		"RATE_TITLE"          : "¿Le gusta el programa?<br>Valore su experiencia:",
		"WORST_FEEDBACK"      : "Mala",
		"BEST_FEEDBACK"       : "Excelente",
		"SUBMIT_TEXT"         : "Enviar",
		"MESSAGE_SENT"        : "La valoración se ha enviado",
		"FB_REQUEST"          : "¿Qué dificultades ha tenido?",
		"CONTACT_SUPPORT"     : "Si ha encontrado algún error, póngase en contacto<br>con nuestro <a href='https://www.movavi.com/es/support/'>equipo de asistencia</a>.",
		"MESSAGE_PLACEHOLDER" : "Me gustaría decir que…",
		"EMAIL_PLACEHOLDER"   : "JohnSnow@gmail.com",
		"PRIVACY_POLICY"      : "Al proporcionar una dirección, permite que le enviemos correos electrónicos<br>de marketing y acepta que Movavi use sus datos personales de conformidad<br>con nuestra <a href='https://www.movavi.com/es/privacy.html'>Política de privacidad</a>.",
		"LATER_TEXT"          : "Más tarde",
		"FINAL_TEXT"          : "Hemos recibido sus comentarios.<br>¡Gracias por compartirlos!",
		"CLOSE_TEXT"          : "Cerrar",
		"FB_SITE_REQUEST"     : "Estamos encantados de que le guste.<br>¡Háblele al mundo de nosotros!",
		"SEND_US_FB"          : "Quiero ponerme en contacto con el equipo de desarrollo",
		"FB_REQUEST_GOOD"     : "¡Cuente su experiencia con el programa!",
		"WRONG_EMAIL"         : "Debe usar el formato JohnSnow@gmail.com.",
		"MESSAGE_TITLE"       : "Mensaje:",
		"EMAIL_TITLE"         : "Correo electrónico:"
	},
	"fr_FR": {
		"RATE_TITLE"          : "Comment aimez-vous notre programme ?<br>Notez votre expérience :",
		"WORST_FEEDBACK"      : "Terrible",
		"BEST_FEEDBACK"       : "Excellente",
		"SUBMIT_TEXT"         : "Envoyer",
		"MESSAGE_SENT"        : "L’évaluation a été envoyée",
		"FB_REQUEST"          : "Dites-nous, quelles difficultés avez-vous rencontrées ?",
		"CONTACT_SUPPORT"     : "Si c'étaient des erreurs, contactez notre <a href='https://www.movavi.com/fr/support/'équipe d’>assistance</a>.",
		"MESSAGE_PLACEHOLDER" : "Je veux dire que…",
		"EMAIL_PLACEHOLDER"   : "JohnSnow@gmail.com",
		"PRIVACY_POLICY"      : "En fournissant une adresse e-mail, vous consentez à recevoir nos e-mails<br>marketing et acceptez que Movavi utilise vos données personnelles conformément<br>à notre <a href='https://www.movavi.com/fr/privacy.html'>politique de confidentialité</a>.",
		"PRIVACY_POLICY"      : "En fournissant une adresse e-mail, vous consentez à recevoir nos e-mails<br>marketing et acceptez que Movavi utilise vos données personnelles conformément<br>à notre <a href='https://www.movavi.com/fr/privacy.html'>politique de confidentialité</a>.",
		"LATER_TEXT"          : "Plus tard",
		"FINAL_TEXT"          : "Nous avons reçu vos commentaires.<br>Merci pour votre avis !",
		"CLOSE_TEXT"          : "Fermer",
		"FB_SITE_REQUEST"     : "Nous sommes ravis que ça vous plaise.<br>Parlez de nous au monde !",
		"SEND_US_FB"          : "Je veux contacter l'équipe de développement",
		"FB_REQUEST_GOOD"     : "Partagez votre expérience de travail<br>avec le programme !",
		"WRONG_EMAIL"         : "Assurez-vous que le format de l'e-mail est JohnSnow@gmail.com.",
		"MESSAGE_TITLE"       : "Message:",
		"EMAIL_TITLE"         : "E-mail :"
	},
	"it_IT": {
		"RATE_TITLE"          : "Ti piace il nostro programma?<br>Valuta la tua esperienza:",
		"WORST_FEEDBACK"      : "Pessima",
		"BEST_FEEDBACK"       : "Eccellente",
		"SUBMIT_TEXT"         : "Invia",
		"MESSAGE_SENT"        : "Valutazione inviata",
		"FB_REQUEST"          : "Facci sapere, che difficoltà hai avuto?",
		"CONTACT_SUPPORT"     : "Se si sono verificati errori, contatta<br>il nostro <a href='https://www.movavi.com/it/support/'>team di supporto</a>.",
		"MESSAGE_PLACEHOLDER" : "Voglio dire che…",
		"EMAIL_PLACEHOLDER"   : "JohnSnow@gmail.com",
		"PRIVACY_POLICY"      : "Fornendo una email, acconsenti a ricevere le nostre email di marketing e accetti<br>che Movavi utilizzi i tuoi dati personali in conformità con la nostra <a href='https://www.movavi.com/it/privacy.html'>Informativa sulla privacy</a>.",
		"LATER_TEXT"          : "Più tardi",
		"FINAL_TEXT"          : "Feedback ricevuto.<br>Grazie per la condivisione!",
		"CLOSE_TEXT"          : "Chiudi",
		"FB_SITE_REQUEST"     : "Siamo lieti che ti piaccia. Parla di noi al mondo!",
		"SEND_US_FB"          : "Voglio contattare il team di sviluppo",
		"FB_REQUEST_GOOD"     : "Condividi la tua esperienza di lavoro<br>con il programma!",
		"WRONG_EMAIL"         : "Assicurati che il formato dell'email sia JohnSnow@gmail.com.",
		"MESSAGE_TITLE"       : "Messaggio:",
		"EMAIL_TITLE"         : "Email:"
	},
	"ja_JP": {
		"RATE_TITLE"          : "弊社のプログラムはお気に召しましたか？<br>操作性を評価してください:",
		"WORST_FEEDBACK"      : "最悪",
		"BEST_FEEDBACK"       : "最高",
		"SUBMIT_TEXT"         : "送信",
		"MESSAGE_SENT"        : "評価を送信しました",
		"FB_REQUEST"          : "どのような点にお困りだったかをお聞かせください。",
		"CONTACT_SUPPORT"     : "エラーが発生していた場合は、<a href='https://www.movavi.com/jp/support/'>サポートチーム</a>にお問い合わせください。",
		"MESSAGE_PLACEHOLDER" : "お伝えしたいことがあります…",
		"EMAIL_PLACEHOLDER"   : "JohnSnow@gmail.com",
		"PRIVACY_POLICY"      : "メールアドレスを提供することで、お客様は当社からの広告メールを受信することを承諾し、<br>Movaviが<a href='https://www.movavi.com/jp/privacy.html'>プライバシーポリシー</a>に従ってお客様の個人情報を使用することに同意するものとします。",
		"LATER_TEXT"          : "後で回答する",
		"FINAL_TEXT"          : "フィードバックを受信しました。<br>ご提供ありがとうございました！",
		"CLOSE_TEXT"          : "閉じる",
		"FB_SITE_REQUEST"     : "気に入っていただけて嬉しいです。 弊社のことを周りの方にもお伝えください！",
		"SEND_US_FB"          : "開発チームへの連絡を希望する",
		"FB_REQUEST_GOOD"     : "このプログラムを使用した感想をお寄せください！",
		"WRONG_EMAIL"         : "メールアドレスの書式が JohnSnow@gmail.com であることを確認してください。",
		"MESSAGE_TITLE"       : "メッセージ:",
		"EMAIL_TITLE"         : "電子メール:"
	},
	"ko_KR": {
		"RATE_TITLE"          : "저희 프로그램이 마음에 드십니까?<br>평가해 주십시오:",
		"WORST_FEEDBACK"      : "최악",
		"BEST_FEEDBACK"       : "최고",
		"SUBMIT_TEXT"         : "보내기",
		"MESSAGE_SENT"        : "평가가 전송되었습니다",
		"FB_REQUEST"          : "어떤 어려움이 있었습니까?",
		"CONTACT_SUPPORT"     : "오류가 발생한 경우, <a href='https://www.movavi.com/kr/support/'>지원팀</a>에 연락하십시오.",
		"MESSAGE_PLACEHOLDER" : "제가 말하고자 하는 것은…",
		"EMAIL_PLACEHOLDER"   : "JohnSnow@gmail.com",
		"PRIVACY_POLICY"      : "이메일 주소를 제공하면, 귀하는 당사의 마케팅 이메일을 수신하는 것과 Movavi가 당사의 <a href='https://www.movavi.com/kr/privacy.html'>개인정보보호정책</a>에 따라 귀하의 개인 데이터를 사용하는 것에 동의하는 것입니다.",
		"LATER_TEXT"          : "나중에",
		"FINAL_TEXT"          : "피드백을 받았습니다.<br>공유해주셔서 감사합니다!",
		"CLOSE_TEXT"          : "닫기",
		"FB_SITE_REQUEST"     : "마음에 드셨다니 기쁩니다. 저희에 대한 입소문을 내주십시오!",
		"SEND_US_FB"          : "개발팀에 연락하고 싶습니다",
		"FB_REQUEST_GOOD"     : "프로그램 사용 경험을 공유해주십시오!",
		"WRONG_EMAIL"         : "이메일 형식이 JohnSnow@gmail.com인지 확인하십시오.",
		"MESSAGE_TITLE"       : "메시지:",
		"EMAIL_TITLE"         : "이메일:"
	},
	"nl_NL": {
		"RATE_TITLE"          : "Wat vind je van ons programma?<br>Beoordeel je ervaring:",
		"WORST_FEEDBACK"      : "Vreselijk",
		"BEST_FEEDBACK"       : "Uitstekend",
		"SUBMIT_TEXT"         : "Verzenden",
		"MESSAGE_SENT"        : "De beoordeling is verzonden",
		"FB_REQUEST"          : "Vertel ons, welke moeilijkheden ben je tegengekomen?",
		"CONTACT_SUPPORT"     : "Als dat fouten waren, neem dan contact<br>op met ons <a href='https://www.movavi.com/nl/support/'>ondersteuningsteam</a>.",
		"MESSAGE_PLACEHOLDER" : "Ik wil zeggen dat…",
		"EMAIL_PLACEHOLDER"   : "JohnSnow@gmail.com",
		"PRIVACY_POLICY"      : "Door een e-mailadres op te geven, stem je in met het ontvangen van onze marketing-e-mails en ga je ermee akkoord dat Movavi je persoonsgegevens<br>gebruikt volgens ons <a href='https://www.movavi.com/nl/privacy.html'>Privacybeleid</a>.",
		"LATER_TEXT"          : "Later",
		"FINAL_TEXT"          : "We hebben je feedback ontvangen.<br>Bedankt voor het delen!",
		"CLOSE_TEXT"          : "Sluiten",
		"FB_SITE_REQUEST"     : "We zijn blij dat je het hier leuk vindt.<br>Vertel iedereen over ons!",
		"SEND_US_FB"          : "Ik wil contact opnemen met het ontwikkelteam",
		"FB_REQUEST_GOOD"     : "Deel je ervaring met het werken<br>in het programma!",
		"WRONG_EMAIL"         : "Zorg dat de notatie van het e-mailadres JohnSnow@gmail.com is.",
		"MESSAGE_TITLE"       : "Bericht:",
		"EMAIL_TITLE"         : "E-mailadres:"
	},
	"pl_PL": {
		"RATE_TITLE"          : "Jak Ci się podoba nasz program?<br>Oceń swoje wrażenia:",
		"WORST_FEEDBACK"      : "Okropny",
		"BEST_FEEDBACK"       : "Doskonały",
		"SUBMIT_TEXT"         : "Wyślij",
		"MESSAGE_SENT"        : "Ocena została wysłana",
		"FB_REQUEST"          : "Opowiedz nam o swoich trudnościach?",
		"CONTACT_SUPPORT"     : "Jeśli były to błędy, skontaktuj się<br>z naszym <a href='https://www.movavi.com/pl/support/'> działem pomocy technicznej</a>.",
		"MESSAGE_PLACEHOLDER" : "Chcę powiedzieć, że…",
		"EMAIL_PLACEHOLDER"   : "JohnSnow@gmail.com",
		"PRIVACY_POLICY"      : "Poprzez podanie adresu e-mail wyrażasz zgodę na otrzymywanie wiadomości<br>o charakterze marketingowym i wykorzystanie przez Movavi Twoich danych<br>osobowych zgodnie z naszą <a href='https://www.movavi.com/pl/privacy.html'>Polityką prywatności</a>.",
		"LATER_TEXT"          : "Później",
		"FINAL_TEXT"          : "Otrzymaliśmy Twoją opinię.<br>Dziękujemy!",
		"CLOSE_TEXT"          : "Zamknij",
		"FB_SITE_REQUEST"     : "Cieszymy się, że Ci się tu podoba. Powiedz o nas światu!",
		"SEND_US_FB"          : "Chcę dotrzeć do zespołu programistycznego",
		"FB_REQUEST_GOOD"     : "Podziel się swoim doświadczeniem<br>z pracy w programie!",
		"WRONG_EMAIL"         : "Upewnij się, że format adresu e-mail to JohnSnow@gmail.com.",
		"MESSAGE_TITLE"       : "Wiadomość:",
		"EMAIL_TITLE"         : "E-mail:"
	},
	"pt_BR": {
		"RATE_TITLE"          : "Você está gostando do nosso programa?<br>Avalie sua experiência:",
		"WORST_FEEDBACK"      : "Horrível",
		"BEST_FEEDBACK"       : "Excelente",
		"SUBMIT_TEXT"         : "Enviar",
		"MESSAGE_SENT"        : "A avaliação foi enviada",
		"FB_REQUEST"          : "Diga: que dificuldades você teve?",
		"CONTACT_SUPPORT"     : "Se foram erros, entre em contato<br>com a nossa <a href='https://www.movavi.com/pt/support/'>equipe de suporte</a>.",
		"MESSAGE_PLACEHOLDER" : "Quero dizer que…",
		"EMAIL_PLACEHOLDER"   : "JohnSnow@gmail.com",
		"PRIVACY_POLICY"      : "Ao fornecer um e-mail, você concorda em receber nossos e-mails de marketing<br>e aceita que a Movavi use seus dados pessoais de acordo com a nossa <a href='https://www.movavi.com/pt/privacy.html'>Política de Privacidade</a>.",
		"LATER_TEXT"          : "Mais tarde",
		"FINAL_TEXT"          : "Recebemos o seu feedback.<br>Obrigado por compartilhar!",
		"CLOSE_TEXT"          : "Fechar",
		"FB_SITE_REQUEST"     : "Ficamos felizes que você gostou. Conte ao mundo sobre nós!",
		"SEND_US_FB"          : "Quero falar com a equipe de desenvolvimento",
		"FB_REQUEST_GOOD"     : "Compartilhe sua experiência de trabalho<br>no programa!",
		"WRONG_EMAIL"         : "Verifique se o formato do e-mail é JohnSnow@gmail.com.",
		"MESSAGE_TITLE"       : "Mensagem:",
		"EMAIL_TITLE"         : "E-mail:"
	},
	"ru_RU": {
		"RATE_TITLE"          : "Как вам наша программа?<br>Оцените свой опыт:",
		"WORST_FEEDBACK"      : "Ужасно",
		"BEST_FEEDBACK"       : "Отлично",
		"SUBMIT_TEXT"         : "Отправить",
		"MESSAGE_SENT"        : "Оценка отправлена",
		"FB_REQUEST"          : "Расскажите, какие у вас были сложности?",
		"CONTACT_SUPPORT"     : "Если это были ошибки, обратитесь<br>в <a href='https://www.movavi.ru/support/'>техподдержку</a>.",
		"MESSAGE_PLACEHOLDER" : "Я хочу сказать, что…",
		"EMAIL_PLACEHOLDER"   : "JohnSnow@gmail.com",
		"PRIVACY_POLICY"      : "Предоставляя свой email, вы соглашаетесь на получение от нас информации<br>по электронной почте и обработку персональных данных в соответствии<br>с <a href='https://www.movavi.ru/privacy.html'>Политикой конфиденциальности Movavi</a>.",
		"LATER_TEXT"          : "Напишу позже",
		"FINAL_TEXT"          : "Мы получили ваш отзыв.\nСпасибо, что поделились!",
		"CLOSE_TEXT"          : "Закрыть",
		"FB_SITE_REQUEST"     : "Мы рады, что вам нравится, расскажите о нас миру!",
		"SEND_US_FB"          : "Хочу написать команде разработки",
		"FB_REQUEST_GOOD"     : "Поделитесь с нами впечатлениями о работе в программе!",
		"WRONG_EMAIL"         : "Почта должна быть в формате JohnSnow@gmail.com.",
		"MESSAGE_TITLE"       : "Сообщение:",
		"EMAIL_TITLE"         : "Email:"
	},
	"tr_TR": {
		"RATE_TITLE"          : "Programımızı nasıl buldunuz?<br>Deneyiminizi değerlendirin:",
		"WORST_FEEDBACK"      : "Çok kötü",
		"BEST_FEEDBACK"       : "Mükemmel",
		"SUBMIT_TEXT"         : "Gönder",
		"MESSAGE_SENT"        : "Değerlendirme gönderildi",
		"FB_REQUEST"          : "Ne gibi sorunlarla karşılaştığınızı bize iletin.",
		"CONTACT_SUPPORT"     : "Bir hata tespit ettiyseniz <a href='https://www.movavi.com/tr/support/'>destek ekibimiz</a> ile iletişime geçin.",
		"MESSAGE_PLACEHOLDER" : "Söylemek isterim ki…",
		"EMAIL_PLACEHOLDER"   : "JohnSnow@gmail.com",
		"PRIVACY_POLICY"      : "E-postanızı girerek pazarlama amaçlı e-postalarımızı almayı ve kişisel verilerinizin <a href='https://www.movavi.com/tr/privacy.html'>Gizlilik Politikamıza</a> uygun olarak Movavi tarafından işlenmesini kabul etmiş olursunuz.",
		"LATER_TEXT"          : "Daha sonra",
		"FINAL_TEXT"          : "Geri bildiriminizi aldık.<br>Paylaşımınız için teşekkür ederiz!",
		"CLOSE_TEXT"          : "Kapat",
		"FB_SITE_REQUEST"     : "Buradaki beğeniniz bizi çok mutlu etti. Dünyaya bizden bahsedin!",
		"SEND_US_FB"          : "Geliştirme ekibine ulaşmak istiyorum",
		"FB_REQUEST_GOOD"     : "Programla çalışma deneyiminizi paylaşın!",
		"WRONG_EMAIL"         : "E-posta JohnSnow@gmail.com şeklinde olmalıdır.",
		"MESSAGE_TITLE"       : "Mesaj:",
		"EMAIL_TITLE"         : "E-posta:"
	},
	"zh_CN": {
		"RATE_TITLE"          : "您认为我们的程序如何？<br>请评价您的体验：",
		"WORST_FEEDBACK"      : "很糟",
		"BEST_FEEDBACK"       : "极好",
		"SUBMIT_TEXT"         : "发送",
		"MESSAGE_SENT"        : "已发送评价",
		"FB_REQUEST"          : "请告诉我们，您遇到了什么困难？",
		"CONTACT_SUPPORT"     : "如果遇到错误，请联系我们的<a href='https://www.movavi.com/cn/support/'>支持团队</a>。",
		"MESSAGE_PLACEHOLDER" : "我想说…",
		"EMAIL_PLACEHOLDER"   : "JohnSnow@gmail.com",
		"PRIVACY_POLICY"      : "向我们提供您的电子邮件地址，即表示您同意接收我们的营销电子邮件，并同意 Movavi 基于我们的<a href='https://www.movavi.com/privacy.html'>《隐私政策》</a>使用您的个人数据。",
		"LATER_TEXT"          : "以后再说",
		"FINAL_TEXT"          : "我们已收到您的反馈。<br>诚挚感谢您的分享！",
		"CLOSE_TEXT"          : "关闭",
		"FB_SITE_REQUEST"     : "我们非常高兴您喜欢它。 请帮助推广我们！",
		"SEND_US_FB"          : "我想联系开发团队",
		"FB_REQUEST_GOOD"     : "分享您使用程序的体验！",
		"WRONG_EMAIL"         : "确保电子邮件格式为 JohnSnow@gmail.com。",
		"MESSAGE_TITLE"       : "信息:",
		"EMAIL_TITLE"         : "电子邮件:"
	},
	"zh_TW": {
		"RATE_TITLE"          : "您覺得我們程式如何呢？<br>為您的體驗評分：",
		"WORST_FEEDBACK"      : "很糟",
		"BEST_FEEDBACK"       : "很棒",
		"SUBMIT_TEXT"         : "傳送",
		"MESSAGE_SENT"        : "評分已寄出",
		"FB_REQUEST"          : "請讓我們知道您所碰到的困難？",
		"CONTACT_SUPPORT"     : "如果遇到錯誤，請聯繫我們<a href='https://www.movavi.com/zh/support/'>支援團隊</a>。",
		"MESSAGE_PLACEHOLDER" : "我覺得…",
		"EMAIL_PLACEHOLDER"   : "JohnSnow@gmail.com",
		"PRIVACY_POLICY"      : "提供電子郵件地址，即表示您同意接收我們行銷電子郵件，並同意 Movavi 根據其<a href='https://www.movavi.com/zh/privacy.html'>隱私權政策</a>使用您的個人資料。",
		"LATER_TEXT"          : "之後再說",
		"FINAL_TEXT"          : "我們已收到您回饋的意見。<br>謝謝分享！",
		"CLOSE_TEXT"          : "關閉",
		"FB_SITE_REQUEST"     : "很高興您也喜歡。 請向世界介紹我們！",
		"SEND_US_FB"          : "我想與開發團隊聯繫",
		"FB_REQUEST_GOOD"     : "分享您使用程式的體驗！",
		"WRONG_EMAIL"         : "確保電子郵件格式為 JohnSnow@gmail.com。",
		"MESSAGE_TITLE"       : "訊息：",
		"EMAIL_TITLE"         : "電子郵件："
	}
}
